clang-tools 10.0.0

Classes | Namespaces | Functions
Dex.h File Reference

This defines Dex - a symbol index implementation based on query iterators over symbol tokens, such as fuzzy matching trigrams, scopes, types, etc. More...

`#include "Iterator.h"`
`#include "PostingList.h"`
`#include "Token.h"`
`#include "Trigram.h"`
`#include "index/Index.h"`
`#include "index/MemIndex.h"`
`#include "index/Relation.h"`
`#include "index/SymbolCollector.h"`
Include dependency graph for Dex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::dex::Dex
| In-memory Dex trigram-based index implementation. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| clang::clangd::dex

## Functions
std::vector< std::string > | clang::clangd::dex::generateProximityURIs (llvm::StringRef URIPath)
| Returns Search Token for a number of parent directories of given Path. More...

## Detailed Description

This defines Dex - a symbol index implementation based on query iterators over symbol tokens, such as fuzzy matching trigrams, scopes, types, etc.

While consuming more memory and having longer build stage due to preprocessing, Dex will have substantially lower latency. It will also allow efficient symbol searching which is crucial for operations like code completion, and can be very important for a number of different code transformations which will be eventually supported by Clangd.

Definition in file Dex.h.